Audit data exporter
This section contains audit data exporter proto files.
Notes:
- To download Gatekeeper proto files, click download Gatekeeper proto files.
- Default values are determined by the gRPC specification. For more information, go to protocol buffers language guide .
audit_data_exporter_service.proto
AuditDataExporter
This service allows exporting audit data from the blob storage. You can export data based on record type, time and iterator. The service stores the audit records based on record type, such as persons entity, voiceprints profile entity, and so on. The streaming of export records flow:
- Client requests Start Export.
- Server returns the first batch of records, iterator, and the end of records flag.
- Client continues to request more records until the end of records is true:
- Client requests next batch by iterator.
- The server returns batch of records, iterator, and the end of record flag.
gRPC method definitions
| Method Name | Request Type | Response Type | Description |
|---|---|---|---|
| ExportRecords | ExportRecords Request stream |
ExportRecords Response stream |
Export records for a record type based on time range or iterator (returned in previous response). Each exported record data is returned as a JSON object string. All returned personal fields are masked. |
| ExportRecordsWithPersonalData | ExportRecordsWithPersonalData Request stream |
ExportRecordsWithPersonalData Response stream |
Export records for a record type based on time range or iterator (returned in previous response). Each exported record data is returned as JSON object string. The client can select whether to decrypt the records or to get them in the encrypted format. |
audit_data_exporter_messages.proto
ExportIteratorRequest
Iterator for getting the next batch of records.
| Field | Type | Description |
|---|---|---|
| iterator | string | Required. Encoded iterator information, copied from previous response. Iterator from previous processing could be passed as the first request for a new export. |
| requested_duration | google.protobuf.Duration | Optional. The requested duration for the next batch of records. If not provided, all available records are exported. |
ExportRecord
Exported record information.
| Field | Type | Description |
|---|---|---|
| create_time | google.protobuf.Timestamp | When the record was created. |
| context | nuance.biosec.v1.Context | The request context related to the exported record. |
| member | nuance.biosec.v1.Member | The member that initiated the request. |
| record_as_json | string | The record as a JSON string. |
ExportRecordsRequest
Request message that defines the parameters for the next batch of exported records.
Uses the context field as follows:
- gk_engagement_id: Optional
- gk_session_id: Optional
- gk_scope_id: Mandatory
- configset_id: Optional
| Field | Type | Description |
|---|---|---|
| context | nuance.biosec.v1.Context | Mandatory. General request context. |
| One of request: | One of the following requests. |
|
| start_export | StartExport | Start a new export. |
| export_iterator_request | ExportIteratorRequest | Get the next batch of records. |
ExportRecordsResponse
Response message that contains a batch of requested records.
| Field | Type | Description |
|---|---|---|
| export_response | ExportResponse | Export response including data and iterator information. |
ExportRecordsWithPersonalDataRequest
Input message that defines request parameters for the next batch of exported records.
Uses the context field as follows:
- gk_engagement_id: Optional
- gk_session_id: Optional
- gk_scope_id: Mandatory
- configset_id: Optional
| Field | Type | Description |
|---|---|---|
| context | nuance.biosec.v1.Context | Mandatory. General request context. |
| One of request: | One of the following requests. |
|
| start_export | StartExport | Starts a new export. |
| export_iterator_request | ExportIteratorRequest | Gets the next batch of records. |
| decrypt_personal_data | bool | If true, the personal data is decrypted in the response. Otherwise, fields remain encrypted in the response. |
ExportRecordsWithPersonalDataResponse
Output message that contains a batch of requested records.
| Field | Type | Description |
|---|---|---|
| export_response | ExportResponse | Export response including data and iterator information. |
ExportResponse
Output message that contains the a batch of requested records
| Field | Type | Description |
|---|---|---|
| status | nuance.rpc.Status | General operation status. |
| export_record | repeated ExportRecord | Exported records, zero or more records (zero indicates end of records). |
| iterator | string | The returned iterator that can be used to fetch the next batch of records. |
| end_of_records | bool | True if all available records are exported. When true, the iterator can be used in the future to continue the export from the next set of records that are available. |
StartExport
Start new export request.
| Field | Type | Description |
|---|---|---|
| record_type | RecordType | Mandatory. The requested record type. |
| start_time | google.protobuf.Timestamp | Optional. Start time for the export records, if not provided the export starts from the first record in the storage. |
| end_time | google.protobuf.Timestamp | Optional. End time for the export records, if not provided the export ends at the last record in the storage. |
audit_data_exporter_enums.proto
RecordType
The type of records to be exported.
| Name | Number | Description |
|---|---|---|
| RECORD_TYPE_UNSPECIFIED | 0 | Unspecified value. |
| RECORD_TYPE_AUDIO_EVENT | 1 | Audio entity events. |
| RECORD_TYPE_CALIBRATION_EVENT | 2 | Calibration entity events. |
| RECORD_TYPE_DELETE_PERSONAL_DATA_EVENT | 3 | Personal data delete request events. |
| RECORD_TYPE_ENGAGEMENT_EVENT | 4 | Engagement events. |
| RECORD_TYPE_FRAUDSTER_EVENT | 5 | Fraudster entity events. |
| RECORD_TYPE_GROUP_EVENT | 6 | Group entity events. |
| RECORD_TYPE_PERSON_EVENT | 7 | Person entity events. |
| RECORD_TYPE_PERSONAL_DATA_DELETED_EVENT | 8 | Personal data deletion tracking events. |
| RECORD_TYPE_SCOPE_EVENT | 9 | Scope entity events. |
| RECORD_TYPE_SESSION_EVENT | 10 | Session events. |
| RECORD_TYPE_VOICEPRINT_EVENT | 11 | Voiceprint profile entity events. |
| RECORD_TYPE_WATCHLIST_EVENT | 12 | Watchlist entity events. |
| RECORD_TYPE_WEB_APP_EVENT | 13 | Web application events. |
| RECORD_TYPE_ASR_AUDIT_INFO_EVENT | 14 | Automatic Speech Recognition audit events. |
| RECORD_TYPE_FACTORS_AUDIT_INFO_EVENT | 15 | Factors, such as process audio, enroll, train, verify, identify, detect known fraudsters, and so on, audit events. |
| RECORD_TYPE_ANTI_SPOOFING_AUDIT_INFO_EVENT | 16 | Anti-spoofing detection events. |
| RECORD_TYPE_RISK_ENGINE_EVENT | 17 | Risk engine events. Each event includes session decision information. |
| RECORD_TYPE_MEDIA_EVENT | 18 | Media entity events. |
| RECORD_TYPE_CALLER_ID_RISK_ASSESSMENT_EVENT | 19 | Caller Id Risk Assessment audit events. |
| RECORD_TYPE_CALLER_ID_WATCH_LIST_EVENT | 20 | Caller Id Watch List entity events. |
| RECORD_TYPE_CONVOPRINT_EVENT | 21 | Convoprint Profiles entity events. |
| RECORD_TYPE_DEVICEPRINT_EVENT | 22 | Deviceprint Profiles entity events. |
| RECORD_TYPE_JOBS_EVENT | 23 | Jobs entity events. |
| RECORD_TYPE_TEXT_EVENT | 24 | Text entity events. |